Subject: bug#31221: Cross compiling perl with guix pack fails

From: [email-masked] (Ludovic Courtès)
Date: Sun, 22 Apr 2018 21:53:51 +0200

Hello,

Raphaël Mélotte <[email-masked]> skribis:

> I'm trying to make a wireshark package for an old 32bit system where I
> cannot install guix but it always fails with the same error. This is the
> command I'm using:
> guix pack -S /opt/gnu/bin=bin --target=i686-pc-linux-gnu wireshark

The analysis of Chris looks correct.

In the meantime, note that if you’re on x86_64, you do not need to
cross-compile to produce i686 binaries.  Instead, you can simply run:

  guix pack … -s i686-linux wireshark

This is because x86_64 can run i686 code just fine, and so guix-daemon
will arrange to make an i686 container.

HTH,
Ludo’.